{"openapi":"3.0.4","info":{"title":"List Tasks","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/workflow"}],"paths":{"/api/tasks":{"get":{"tags":["Tasks"],"summary":"List Tasks","operationId":"ListTasks","parameters":[{"name":"asAt","in":"query","description":"The asAt datetime at which to list the Tasks. Defaults to return the latest version of each Task if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set. Read more about filtering results from LUSID here: https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"sortBy","in":"query","description":"A list of field names or properties to sort by, each optionally suffixed by \" ASC\" or \" DESC\"","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many.","schema":{"type":"integer","format":"int32","default":10},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing tasks from a previous call to list tasks. This value is returned from the previous call. If a pagination token is provided the sortBy, filter, effectiveAt, and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/PagedResourceListOfTask"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"No Tasks found.","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}